Skip to main content
POST
/
v1
/
identity
/
end-users
/
{end_user_id}
/
contacts
Attach a verified contact to an end user
curl --request POST \
  --url https://api-sandbox.featherhq.com/v1/identity/end-users/{end_user_id}/contacts \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "channel": "<string>",
  "value": "<string>"
}
'
{
  "uid": "<string>",
  "channel": "<string>",
  "raw_value": "<string>",
  "normalized_value": "<string>",
  "type": "<string>",
  "verification_method": "<string>"
}

Authorizations

x-api-key
string
header
required

Path Parameters

end_user_id
string<uuid>
required

Body

application/json

Add a verified contact (e.g. promote a claim to a verified contact).

The channel + raw value together determine type and normalization. For typed channels (email, phone, sms, voice, whatsapp, slack, twitter, etc.) this produces a Contact with the matching type.

channel
string
required
value
string
required

Response

Successful Response

uid
string
required
channel
string
required
raw_value
string
required
normalized_value
string
required
type
string | null
verification_method
string | null